CFLAGS=-W -Wall -Wno-deprecated  -O2
LIBS=-lssl -lcrypto
CC=g++
P1=WCLIENT.x
P2=WSERVER.x

all: $(P1) $(P2)

common.o: common.cxx common.h ;\
      $(CC) $(CFLAGS) -c common.cxx

client.o: client.cxx common.h common.o ;\
      $(CC) $(CFLAGS) -c client.cxx

server.o: server.cxx common.h server.h ;\
      $(CC) $(CFLAGS) -c  server.cxx

$(P1): wclient.cxx  common.h client.h client.o common.o server.o
	$(CC) $(CFLAGS) wclient.cxx client.o common.o server.o  -o $(P1) $(LIBS)

$(P2): wserver.cxx  common.h common.o client.h client.o server.o
	$(CC) $(CFLAGS) wserver.cxx client.o common.o server.o -o $(P2) $(LIBS)

clean:
	rm -f $(P1) $(P2)
	rm -f *.o


